%global commit b41368ad24340fed131833c94874a6eacc1db3c1
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-stratum
Version:        0.2.15
Release:        1%{?dist}
Summary:        Stratum server implementation based on Twisted

Group:          Development/Libraries
License:        GPLv3
URL:            http://github.com/slush0/stratum
Source0:        http://github.com/slush0/stratum/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Patch0:         %{name}-0.2.15-use-system-setuptools.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools >= 0.4
Requires:       python-autobahn
Requires:       python-twisted
Requires:       python-ecdsa

%description
This is implementation of Stratum protocol for server and client side
using asynchronous networking written in Python Twisted.

Homepage: http://stratum.bitcoin.cz

%prep
%setup -qn stratum-%{commit}
%patch0 -p 1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
chmod +x %{buildroot}%{python2_sitelib}/stratum/signature.py

%files
%doc LICENSE README
%{python2_sitelib}/stratum
%{python2_sitelib}/stratum-%{version}-py?.?.egg-info

%changelog
* Sun Oct 19 2014 Scott K Logan <logans@cottsay.net> - 0.2.15-1
- Update to 0.2.15

* Sun Jan 26 2014 Scott K Logan <logans@cottsay.net> - 0.2.13-1
- Initial package creation
